<ng-template #title1>
  <h1 class="itemmenu">Control</h1>
</ng-template>

<nz-layout class="app-layout">
  <nz-sider *ngIf="isAuth()" class="menu-sidebar" nzCollapsible nzWidth="256px" nzBreakpoint="md"
    [(nzCollapsed)]="isCollapsed" [nzTrigger]="null">
    <div class="sidebar-logo" style="text-align: center;margin-right: 2em;">
      <a href="https://ng.ant.design/" target="_blank">
        <img [style.width]="isCollapsed ? '2em' : '4em'" [style.height]="isCollapsed ? '2em' : '4em'"
          src="https://d2eip9sf3oo6c2.cloudfront.net/series/square_covers/000/000/033/full/egghead-angular-material-course-sq.png"
          alt="logo" />
      </a>
    </div>

    <ul nz-menu nzTheme="dark" nzMode="inline" [nzInlineCollapsed]="isCollapsed">
      <li routerLink="/dashboard" nz-menu-item nzPlacement="right" nzTitle="Dashboard">
        <i nz-icon nzType="home" nzTheme="outline"></i>
        <span style="color: white;font-weight: bold;">Dashboard</span>
      </li>
      <li nz-menu-group nzTitle="Control">
        <ul>
          <li routerLink="/pos" nz-menu-item nzPlacement="right" nzTitle="Seccion uno">
            <i nz-icon nzType="shopping-cart" nzTheme="outline"></i>
            <span style="color: white;font-weight: bold;">Seccion uno</span>
          </li>
          <li routerLink="/pos" nz-menu-item nzPlacement="right" nzTitle="Otro">
            <i nz-icon nzType="credit-card" nzTheme="outline"></i>
            <span style="color: white;font-weight: bold;">Otro</span>
          </li>
        </ul>
      </li>

      <li nz-menu-group nzTitle="Catalogos">
        <ul>
          <li routerLink="/books" nz-menu-item nzPlacement="right" nzTitle="Catalogo 1">
            <i nz-icon nzType="book" nzTheme="outline"></i>
            <span style="color: white;font-weight: bold;">Catalogo 1</span>
          </li>
          <li routerLink="/genders" nz-menu-item nzPlacement="right" nzTitle="Catalogo 2">
            <i nz-icon nzType="block" nzTheme="outline"></i>
            <span style="color: white;font-weight: bold;">Catalogo 2</span>
          </li>
        </ul>
      </li>


      <li nz-menu-group>
        <nz-footer style="text-align: right;background: transparent;color: white;margin: 0 2em 0 0;">
          <p style="margin: 0 0 .4em 0;color: #a0a3a6;">Version {{cVersion}}</p>
        </nz-footer>
      </li>




    </ul>
  </nz-sider>
  <nz-layout [ngStyle]="isAuth() && {'background': 'white'}">
    <nz-header *ngIf="isAuth()">
      <div class="app-header">
        <div nz-row style="width: 100%;">
          <div nz-col nzSpan="1">
            <span class="header-trigger" (click)="isCollapsed = !isCollapsed">
              <i class="trigger" nz-icon [nzType]="isCollapsed ? 'menu-unfold' : 'menu-fold'"></i>
            </span>
          </div>
          <div nz-col nzSpan="18">
            <nz-page-header nzTitle="{{cName}}" style="width: 100%;">
            </nz-page-header>
          </div>
          <div nz-col nzSpan="5">
            <div nz-row style="width: 100%;">
              <p style="float: right;">{{cEmail}}</p>
              <button nz-tooltip nzTooltipTitle="Cerrar sesión" nzPlacement="right" style="float: right;margin: 1em;"
                (click)="logOut()" nz-button nzType="primary" [nzSize]="'large'" nzShape="circle"><i nz-icon
                  nzType="logout"></i></button>
            </div>
          </div>
        </div>
      </div>
    </nz-header>
    <nz-content>
      <div class="inner-content" [ngStyle]="isAuth() && {'background': 'white'}">
        <router-outlet></router-outlet>
      </div>
    </nz-content>

    <nz-footer *ngIf="!isAuth()" [style.color]="isAuth() ? '#111923' : 'white'" style="text-align: right;
background: transparent;
color: white;">Version {{cVersion}}
    </nz-footer>

  </nz-layout>

</nz-layout>